> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Subscription Intent

**`v1`** · Base URL `https://api.fintoc.com/v1`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api.json POST /subscription_intents
openapi: 3.1.0
info:
  title: fintoc-api
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v1
security:
  - {}
paths:
  /subscription_intents:
    post:
      summary: Create Subscription Intent
      operationId: create-subsciption-intent
      parameters:
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          schema:
            type: string
            default: sk_test_9c8d8CeyBTx1VcJzuDgpm4H
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                reference_id:
                  type: string
                  description: >-
                    **Optional ID** provided by the merchant which will
                    determine how the bank identifies the subscription on its
                    portal. If not provided, user's `holder_id`will be used.
                    **Length must be between 1-15 characters**, and its only
                    available for Subscriptions' clients.
                business_profile:
                  type: object
                  description: >-
                    **Optional** information about the name to be shown as the
                    company to which the user is subscribing to
                  properties:
                    name:
                      type: string
                      description: >-
                        Enrolled merchant´s name. If set, will be shown as the
                        "Recipient" on the widget screens.
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: "{\n  \"id\": \"si_m7N9rAWJS9dWDKEe\",\n  \"object\": \"subscription_intent\",\n  \"widget_token\": \"si_m7N9rAWJS9dWDKEe_sec_1y7o6DYLY299p7ePP7zevTEj\",\n  \"status\": \"created\",\n  \"bank_acount\": null,\n  \"subscription\": null,\n\t\"created_at\": \"2021-11-11T02:29:16Z\"\n}"
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: si_m7N9rAWJS9dWDKEe
                  object:
                    type: string
                    example: subscription_intent
                  widget_token:
                    type: string
                    example: si_m7N9rAWJS9dWDKEe_sec_1y7o6DYLY299p7ePP7zevTEj
                  status:
                    type: string
                    example: created
                  bank_acount: {}
                  subscription: {}
                  created_at:
                    type: string
                    example: '2021-11-11T02:29:16Z'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false

````